Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452987 - Logging needed for operational events
Summary: Logging needed for operational events
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Chuck Rolke
QA Contact: Jeff Needle
URL:
Whiteboard:
Depends On:
Blocks: 924372 924374
TreeView+ depends on / blocked
 
Reported: 2008-06-26 13:38 UTC by Ted Ross
Modified: 2013-03-21 16:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 924372 924374 (view as bug list)
Environment:
Last Closed: 2013-03-21 16:06:02 UTC


Attachments (Terms of Use)

Description Ted Ross 2008-06-26 13:38:18 UTC
The following events need to be logged (to file, syslog, etc.) during broker
operation:

1) open/close connection
2) attach session
3) create/delete queue
4) bind/unbind of queue to exchange
5) drop of unroutable message by exchange
6) exceed user-configured thresholds (queue size (octets), queue size
(messages), message age on queue)
7) periodic notification of message rates on broker

Comment 1 Ted Ross 2008-12-04 16:16:46 UTC
I've retargetted this bug for 1.1.1 because it has been partially resolved.

The remaining un-done events from above are:

2) attach session
5) drop of unroutable message by exchange
6) exceed user-configured thresholds (queue size (octets), queue size
(messages), message age on queue)
7) periodic notification of message rates on broker

Comment 3 Justin Ross 2013-03-21 11:36:46 UTC
Chuck, some of your recent work for 2.3 may have addressed this.

Comment 4 Chuck Rolke 2013-03-21 13:48:21 UTC
Current status as of 2.3:

2) attach session

yes - shipping

5) drop of unroutable message by exchange

no - no event nor log message but counted as discardsNoRoute

6) exceed user-configured thresholds (queue size (octets), queue size
(messages), message age on queue)

yes - shipping

7) periodic notification of message rates on broker

no

Comment 5 Justin Ross 2013-03-21 16:05:39 UTC
Thanks, Chuck.

Issue 5: https://bugzilla.redhat.com/show_bug.cgi?id=924372
Issue 7: https://bugzilla.redhat.com/show_bug.cgi?id=924374

-> CLOSED


Note You need to log in before you can comment on or make changes to this bug.